Type to search.

Get trained models usage info

  • GET /_ml/trained_models/{model_id}/_stats
  • GET /_ml/trained_models/_stats
Auth

You can get usage information for multiple trained models in a single API request by using a comma-separated list of model IDs or a wildcard expression.

Required privileges

Cluster privileges monitor_ml

Path parameters

model_id union string | string[] optional

The unique identifier of the trained model or a model alias. It can be a comma-separated list or a wildcard expression.

Leave it out to use /_ml/trained_models/_stats.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  • Contains wildcard expressions and there are no models that match.
  • Contains the _all string or no identifiers and there are no matches.
  • Contains wildcard expressions and there are only partial matches.

If true, it returns an empty array when there are no matches and the subset of results when there are partial matches.

from number · default: 0

Skips the specified number of models.

size number · default: 100

Specifies the maximum number of models to obtain.

Response

application/json
count number required

The total number of trained model statistics that matched the requested ID patterns. Could be higher than the number of items in the trained_model_stats array as the size of the array is restricted by the supplied size parameter.

trained_model_stats object[] required

An array of trained model statistics, which are sorted by the model_id value in ascending order.

ingest map string to object

A collection of ingest stats for the model across all nodes. The values are summations of the individual node statistics. The format matches the ingest section in the nodes stats API.

model_id string required

The unique identifier of the trained model.

model_size_stats object required

A collection of model size stats.

model_size_bytes number | string required

The size of the model in bytes.

required_native_memory_bytes number | string required

The amount of memory required to load the model in bytes.

pipeline_count number required

The number of ingest pipelines that currently refer to the model.